Change The APK Version Code

Discussion in 'RPG Maker MV' started by BlackMage, Feb 26, 2016.

  1. BlackMage

    BlackMage The Warlock of Darkness Veteran

    Messages:
    56
    Likes Received:
    24
    Location:
    Fantasy Realm
    First Language:
    Bahasa
    Primarily Uses:
    RMVXA
    I'm not sure if this is the right board. Oh, well, here goes nothing.


    So, I deploy a game for android using RPG Maker MV, and upload it to google play store.


    The apk was made by following the method provided in this thread :


    forums.rpgmakerweb.com/index.php?/topic/47780-androidios-tldr-converting-your-project-using-the-manual-method/


    When I went to up update the apk on google play store, it ask me to update apk version, like this article suggest :


    http://developer.android.com/tools/publishing/versioning.html
     


    The example that article provide is written on xml or something and the method that I follow is quite different. I suspect that it can be done by tampering with manifest.json file, but I don't know how to do it.


    Any help?


    Btw, changing the "xwalk_version" didn't help.
     
    Last edited by a moderator: Feb 26, 2016
    #1
  2. Zalerinian

    Zalerinian Jack of all Errors Veteran

    Messages:
    4,695
    Likes Received:
    922
    Location:
    The Internet.
    First Language:
    English
    Primarily Uses:
    N/A
    Assuming you used the application in the thread you listed, have you tried just changing the version number to something higher than what you put in before?
     
    #2
  3. BlackMage

    BlackMage The Warlock of Darkness Veteran

    Messages:
    56
    Likes Received:
    24
    Location:
    Fantasy Realm
    First Language:
    Bahasa
    Primarily Uses:
    RMVXA
    Yes, I changed it from 1.0.0 into 2.0.0. Trying 1.0.1 are also not helping.


    also, the version code displayed are not made of 3 component like the one above. It simply said Version "1", and the article above suggest to change it to version "2", thus I'm sure that 3 component version, "xwalk_version" is not related in this case in any way.
     
    Last edited by a moderator: Feb 27, 2016
    #3
  4. ロリ先輩

    ロリ先輩 ロリだけど先輩だよ Veteran

    Messages:
    368
    Likes Received:
    90
    Location:
    世田谷区
    Have you tried compiling the manifest and then building the container manually?
     
    #4
  5. BlackMage

    BlackMage The Warlock of Darkness Veteran

    Messages:
    56
    Likes Received:
    24
    Location:
    Fantasy Realm
    First Language:
    Bahasa
    Primarily Uses:
    RMVXA
    If by compiling the manifest you meant wrote it in an editor, then save it as json file; and building the container manually is compiling it via command prompt; then yes, I already have done it.


    Also I don't see why it's matter as the first article's step is just create the same manifest file and send the same code to command prompt. The difference is just that it's automated.
     
    Last edited by a moderator: Feb 27, 2016
    #5
  6. BlackMage

    BlackMage The Warlock of Darkness Veteran

    Messages:
    56
    Likes Received:
    24
    Location:
    Fantasy Realm
    First Language:
    Bahasa
    Primarily Uses:
    RMVXA
    Solved. Turns out you need to put the Version Code manually when compiling via command prompt. If the Version Code is not provided, it will use "1" as it's default value.


    This thread can be closed.
     
    Last edited by a moderator: Feb 28, 2016
    #6

Share This Page